Name: gtklpq
Version: 0.5
Release: alt1

Summary: Applet for printer
License: GPL
Group:   System/Base

Source0: %name-%version.tar.gz

Packager: Konstantin Kogan <ALT Linux Active Users Club>

Summary(ru_RU.UTF-8): Апплет для индикации заданий печати.

Requires: libcups


# Automatically added by buildreq on Tue Nov 04 2014 (-bi)
# optimized out: fontconfig fontconfig-devel glib2-devel libatk-devel libcairo-devel libfreetype-devel libgdk-pixbuf libgdk-pixbuf-devel libgio-devel libpango-devel libwayland-client libwayland-server pkg-config python-base
BuildRequires: libcroco libgtk+2-devel libruby 
# nvidia_glx_304.123

%description
Applet for printer

%description -l ru_RU.UTF-8
Апплет для индикации заданий печати.


%prep
%setup

%build

%configure
%make_build
cat > %name.desktop <<@@@
[Desktop Entry]
Type=Application
Name=GtkLpq
GenericName= Applet
GenericName[ru]= Апплет
Comment=Applet for printer
Exec=gtklpq
Categories=GTK;System;Utility;
StartupNotify=false
Terminal=false
@@@

cat > %name <<@@@
#!/bin/bash
# -*- coding: utf-8 -*-
cd /usr/lib/gtklpq/
/usr/lib/gtklpq/gtklpq
@@@

%install

mkdir -p %buildroot%_libexecdir/%name/Data
cp -R src/Data %buildroot%_libexecdir/%name
install -pDm755 src/%name %buildroot%_libexecdir/%name/%name
install -pDm755 %name %buildroot%_bindir/%name
install -D %name.desktop %buildroot/%_desktopdir/%name.desktop
mkdir -p %buildroot/%_bindir

%files
%_bindir/*
%_desktopdir/%name.desktop
%_libexecdir/%name/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Thu Jan 01 2015 Konstantin Kogan <kostyalamer@yandex.ru> 0.5-alt1
  -Final release for branch p7

* Sun Dec 28 2014 Konstantin Kogan <kostyalamer@yandex.ru> 0.4-alt1
  -Added remove job number
  
* Sat Dec 06 2014 Konstantin Kogan <kostyalamer@yandex.ru> 0.3-alt1
- Fixed behavior of Windows print jobs

* Sun Nov 30 2014 Konstantin Kogan <kostyalamer@yandex.ru> 0.2-alt1
- Added deleting of print jobs

* Mon Nov 04 2014 Konstantin Kogan <kostyalamer@yandex.ru> 0.1-alt1
- First build for ALT Linux.


